Subject: Re: [V3, 1/6] powerpc/mm/book3s: Update pmd_present to look at _PAGE_PRESENT bit

From: Michael Ellerman <[email-masked]>
Date: Thu, 4 Oct 2018 16:14:38 +1000 (AEST)

On Thu, 2018-09-20 at 18:09:42 UTC, "Aneesh Kumar K.V" wrote:
> With this patch we use 0x8000000000000000UL (_PAGE_PRESENT) to indicate a valid
> pgd/pud/pmd entry. We also switch the p**_present() to look at this bit.
> 
> With pmd_present, we have a special case. We need to make sure we consider a
> pmd marked invalid during THP split as present. Right now we clear the
> _PAGE_PRESENT bit during a pmdp_invalidate. Inorder to consider this special
> case we add a new pte bit _PAGE_INVALID (mapped to _RPAGE_SW0). This bit is
> only used with _PAGE_PRESENT cleared. Hence we are not really losing a pte bit
> for this special case. pmd_present is also updated to look at _PAGE_INVALID.
> 
> Signed-off-by: Aneesh Kumar K.V <[email-masked]>

Series applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/da7ad366b497f5fc1d4a416f168057

cheers